/***************************************************************************
                          kmasqauth.h  -  description
                             -------------------
    begin                : Wed Apr 18 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMASQAUTH_H
#define KMASQAUTH_H

#include <qwidget.h>
#include <qdialog.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <kconfig.h>

/**
  *@author Stephan de Georgio
  */
class KMasqDialer;

class KMasqAuth : public QDialog  {
   Q_OBJECT
public: 
	KMasqAuth(KMasqDialer *parent=0, const char *name=0);
	~KMasqAuth();
	
private:
	QLineEdit *username;
	QLineEdit *password;
	QCheckBox *save;
	KConfig *config;
	
private slots:
	void slotOk();
	void slotCancel();
	
signals:
	void authenticated(QString, QString);
};

#endif
