/***************************************************************************
                          kmasqconfig.h  -  description
                             -------------------
    begin                : Sat Mar 24 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMASQCONFIG_H
#define KMASQCONFIG_H

#include <qcheckbox.h>
#include <qdialog.h>
#include <kconfig.h>

#include "kmasqdialer.h"
/**
  *@author Stephan de Georgio
  */

class KMasqConfig : public QDialog  {
   Q_OBJECT
public: 
	KMasqConfig(KMasqDialer *parent=0, const char *name=0);
	~KMasqConfig();

private:
	KConfig *config;
  QPushButton *ok;
	QPushButton *cancel;
  QLineEdit *servername;
  QLineEdit *serverport;
  QLineEdit *username;
	QLineEdit	*autodialname;
  QLabel *serverportlabel;
  QLabel *servernamelabel;
  QLabel *usernamelabel;
	QLabel *autodialnamelabel;
  QCheckBox *autoconnect;
	QCheckBox *autoauth;
	QCheckBox	*autodial;
	void saveConfig();
	
private slots:
	void slotOk();
	void slotCancel();
	void slotAutoDialClicked(bool);
};

#endif
