/***************************************************************************
                          kmasqconnectioninfo.cpp  -  description
                             -------------------
    begin                : Mon Mar 26 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmasqconnectioninfo.h"
#include <klocale.h>
#include <stdio.h>
#include <qwhatsthis.h>

KMasqConnectionInfo::KMasqConnectionInfo(QWidget *parent, const char *name ) : QTabDialog(parent, name, true)
{
	setCaption(i18n("Connection Information - KMasqDialer"));
	connect(this, SIGNAL(defaultButtonPressed()), this, SLOT(slotOk()));
	setGeometry(parent->x() - 50, parent->y() - 50, 400, 250);
}

KMasqConnectionInfo::~KMasqConnectionInfo()
{
}

void KMasqConnectionInfo::addInfoTab(const char *cinfo)
{

unsigned int i,n;
char name[1024];
char info[1024];
char script[1024];
char kill[1024];
char valaddress[1024];
char valusers[1024];
char valconusers[1024];
char valdisusers[1024];
char valconfusers[1024];
char temp[1024];

// There has got to be a better way to do this, answers on a postcard to the usual address!

// Name
			for (i = 0, n = 0; i < strlen(cinfo) && 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && 1023 && cinfo[i] != '\n'; i++, n++)
			{
				name[n] = cinfo[i];
			}
			name[n] = '\0';
//Info
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				info[n] = cinfo[i];
			}
			info[n] = '\0';
// Script
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				script[n] = cinfo[i];
			}
			script[n] = '\0';
// Kill
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				kill[n] = cinfo[i];
			}
			kill[n] = '\0';
// Valid Addresses
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				valaddress[n] = cinfo[i];
			}
			valaddress[n] = '\0';
// Valid Users
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				valusers[n] = cinfo[i];
			}
			valusers[n] = '\0';
// Valid Users (Connect)
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				valconusers[n] = cinfo[i];
			}
			valconusers[n] = '\0';
// Valid Users (Disconnect)
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				valdisusers[n] = cinfo[i];
			}
			valdisusers[n] = '\0';
// Valid Users (Config)
			for (n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != ':'; i++, n++)
			{
			}
 			for (i++, n = 0; i < strlen(cinfo) && i < 1023 && cinfo[i] != '\n'; i++, n++)
			{
				valconfusers[n] = cinfo[i];
			}
			valconfusers[n] = '\0';

			QWidget *page = new QWidget(this, name);
			QLabel *label = new QLabel(page);
			QWhatsThis::add(label, "This shows information about each individual connection.");
			label->setGeometry(10,10,380,150);
			snprintf(temp, 1023, "Info\t\t\t: %s\nScript\t\t\t: %s\nKill\t\t\t: %s\nValid Addresses\t\t: %s\nValid Users\t\t: %s\nValid Users(Connect)\t: %s\nValid Users(Disconnect)\t: %s\nValid Users(Config)\t: %s", info, script, kill, valaddress, valusers, valconusers, valdisusers, valconfusers);
			label->setText(temp);
			addTab(page, name);
			showPage(page);
}

void KMasqConnectionInfo::slotOk()
{
	close(true);
}
