/***************************************************************************
                          kmasqserverinfo.h  -  description
                             -------------------
    begin                : Mon Mar 26 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMASQSERVERINFO_H
#define KMASQSERVERINFO_H

#include <qlabel.h>
#include <qgroupbox.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qmultilinedit.h>
#include <qdialog.h>
/**
  *@author Stephan de Georgio
  */

class KMasqServerInfo : public QDialog
{
	Q_OBJECT
public:
	KMasqServerInfo(QWidget *parent=0, const char *name=0);
	~KMasqServerInfo();
	
	void setCountNumber(int);
	void setIPText(const char *);
	void setClientNames(const char *);
	void setAuthor(const char *);
	void setVersion(const char *);

private:
	QLabel					*titlelabel;
	QLabel					*clientip;
	QLabel					*clientcount;
	QGroupBox				*namesgroup;
	QListBox				*clientnames;
	QWidget					*buttonbox;
	QHBoxLayout			*buttonslayout;
	QPushButton 		*ok;
	
private slots:
	void slotOk();

};
#endif
